## org.apache.xml.utils
Class CharKey

    java.lang.Object
      org.apache.xml.utils.CharKey

public class CharKey
extends java.lang.Object

Simple class for fast lookup of char values, when used with hashtables. You can set the char, then use it as a key.

Usage:
  **For internal use only**

Constructor Summary
`CharKey()` Default constructor for a CharKey.
`CharKey(char key)` Constructor CharKey

Method Summary
`boolean` `equals(java.lang.Object obj)` Override of equals() for this object
`int` `hashCode()` Get the hash value of the character.
`void` `setChar(char c)` Get the hash value of the character.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharKey

    public CharKey(char key)

  Constructor CharKey

Parameters:
  `key` - char value of this object.

### CharKey

    public CharKey()

  Default constructor for a CharKey.

Method Detail

### setChar

    public final void setChar(char c)

  Get the hash value of the character.

  Returns:
    hash value of the character.

### hashCode

    public final int hashCode()

  Get the hash value of the character.

  Returns:
    hash value of the character.

### equals

    public final boolean equals(java.lang.Object obj)

  Override of equals() for this object

  Parameters:
    `obj` - to compare to
  Returns:
    True if this object equals this string value

Copyright © 2004 Apache XML Project. All Rights Reserved.